Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class RequestStatus

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.RequestStatus

All Implemented Interfaces:
  Serializable

    public class RequestStatus

extends Property

Defines a REQUEST-STATUS iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

Field Summary
`static String` | `CLIENT_ERROR`
`static String` | `PRELIM_SUCCESS`
`static String` | `SCHEDULING_ERROR`
`static long` | `serialVersionUID`
`static String` | `SUCCESS`

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`RequestStatus()` Default constructor.
`RequestStatus(ParameterList aList, String aValue)`
`RequestStatus(ParameterList aList, String aStatusCode, String aDescription, String data)`
`RequestStatus(String aStatusCode, String aDescription, String data)`

Method Summary
`String` | `getDescription()`
`String` | `getExData()`
`String` | `getStatusCode()`
`String` | `getValue()`
`void` | `setDescription(String description)`
`void` | `setExData(String exData)`
`void` | `setStatusCode(String statusCode)`
`void` | `setValue(String aValue)` Sets the current value of the property.
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### PRELIM_SUCCESS

    public static final String PRELIM_SUCCESS

See Also:
  Constant Field Values

### SUCCESS

    public static final String SUCCESS

See Also:
  Constant Field Values

### CLIENT_ERROR

    public static final String CLIENT_ERROR

See Also:
  Constant Field Values

### SCHEDULING_ERROR

    public static final String SCHEDULING_ERROR

See Also:
  Constant Field Values

Constructor Detail

### RequestStatus

    public RequestStatus()

  Default constructor.

### RequestStatus

    public RequestStatus(ParameterList aList,
                         String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### RequestStatus

    public RequestStatus(String aStatusCode,
                         String aDescription,
                         String data)

Parameters:
  `aStatusCode` - a string representation of a status code
  `aDescription` - a description
  `data` - a string representation of extension data

### RequestStatus

    public RequestStatus(ParameterList aList,
                         String aStatusCode,
                         String aDescription,
                         String data)

Parameters:
  `aList` - a list of parameters for this component
  `aStatusCode` - a string representation of a status code
  `aDescription` - a description
  `data` - a string representation of extension data

Method Detail

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Specified by:
    `validate` in class `Property`
  Throws:
    `ValidationException` - where the property is not in a valid state
  See Also:
    `Property.validate()`

### getDescription

    public final String getDescription()

  Returns:
    Returns the description.

### getExData

    public final String getExData()

  Returns:
    Returns the exData.

### getStatusCode

    public final String getStatusCode()

  Returns:
    Returns the statusCode.

### setValue

    public final void setValue(String aValue)

  Description copied from class: `Property`
  Sets the current value of the property.

  Specified by:
    `setValue` in class `Property`
  Parameters:
    `aValue` - a string representation of the property value

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Property`
  Returns:
    Returns the value.

### setDescription

    public final void setDescription(String description)

  Parameters:
    `description` - The description to set.

### setExData

    public final void setExData(String exData)

  Parameters:
    `exData` - The exData to set.

### setStatusCode

    public final void setStatusCode(String statusCode)

  Parameters:
    `statusCode` - The statusCode to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.